/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2003, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.C2A.actions;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.WorkbenchException;

import com.ibm.productivity.tools.samples.C2A.Activator;
import com.ibm.rcp.jface.launcher.SwitcherParam;
import com.ibm.rcp.jface.launcher.SwitcherResult;
import com.ibm.rcp.jface.launcher.SwitcherService;


/**
 * Contribute an action to main menu, open the C2A sample view. 
 * 
 */
public class C2AAction implements IWorkbenchWindowActionDelegate {
	protected IWorkbenchWindow window;
	public void dispose() {
		//do nothing
	}

	public void init(IWorkbenchWindow window) {
		this.window = window;

	}

	public void run(IAction arg0) {
    	
    	//open a C2AView defined in "com.ibm.productivity.tools.samples.C2A.view.C2AView" within an empty RCP view. 
    	try {
			SwitcherService service = Activator.getDefault().getSwitcherService();
			
			SwitcherParam param = new SwitcherParam(window);
			param.setMode(SwitcherParam.NEW_TAB);
			param.setViewId("com.ibm.productivity.tools.samples.C2A.view.C2AView");
			param.setTitle("C2A Example");
			SwitcherResult result = service.show(param);
		} catch (PartInitException e) {
			
			e.printStackTrace();
		} 
		
	}

	public void selectionChanged(IAction arg0, ISelection arg1) {
		//do nothing

	}

}
