/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2003, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.C2A.actions;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.MessageBox;
import org.eclipse.swt.widgets.Shell;

import com.ibm.rcp.propertybroker.event.PropertyChangeEvent;

/**
 * The sample action which is registered with PropertyBroker. When user click the 
 * context menu for recognized tags, a message box will be opened.
 *
 */
public class SampleAction implements IHandler {

	public void addHandlerListener(IHandlerListener arg0) {
		//do nothing
	}

	public void dispose() {
		//do nothing
	}
	/**
	 * while clicking the context menu, this method will be invoked.
	 */
	public Object execute(ExecutionEvent event) throws ExecutionException {
		final PropertyChangeEvent evt = (PropertyChangeEvent) event.getTrigger();
		Display.getDefault().asyncExec(new Runnable() {

			/* (non-Javadoc)
			 * @see java.lang.Runnable#run()
			 */
			public void run() {
				//open an message box.
				Display dsp = Display.getCurrent();
				Shell sh = new Shell(dsp);
				MessageBox box = new MessageBox(sh, SWT.ICON_INFORMATION);
				box.setText("Event");
				box.setMessage("Sample event triggered by: "
						+ evt.getPropertyValue().getValue());
				box.open();
			}
		});

		return null;
	}

	public boolean isEnabled() {
		return false;
	}

	public boolean isHandled() {
		return false;
	}

	public void removeHandlerListener(IHandlerListener arg0) {
		//Do nothing
	}

}
