/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2003, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.C2A.recognizer;

import java.util.ArrayList;
//added by weihuaw, 2008-12-01
import java.util.List;
//end added
import com.ibm.rcp.autorecognizer.recognizer.DetectResult;
import com.ibm.rcp.autorecognizer.recognizer.IDetect;

/**
 * The sample recognizer. Two keywords are predefined in the sample recognizer: 
 * PropertyBroker and AutoRecognizer. AutoRecognizer engine will call the detector 
 * to check if there are such keywords found. 
 *
 * More complex detector could be defined here.
 */
public class SampleDetector implements IDetect {

	private String m_Itemlist[] = {"PropertyBroker","AutoRecognizer","Wang Wei"};
	public static ArrayList taglist= new ArrayList();
	
	/* (non-Javadoc)
	 * @see com.ibm.rcp.autorecognizer.recognizer.IDetect#detect(java.lang.String)
	 */
	//modified by weihuaw, 2008-12-01
	public List detect(String text) {
		/*
		try {

			for (int i = 0; i < m_Itemlist.length; i++) {
				
				if (m_Itemlist[i].equals(word)) {
					DetectResult rlt = new DetectResult();
					rlt.start = 0;
					rlt.offset = word.length();
					rlt.value = word;
					return rlt;
				}
			}		
			
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
		*/
		if (text == null || "".endsWith(text))
			return new ArrayList();
        List list = new ArrayList();
        for (int i = 0; i < m_Itemlist.length; i++) {
			String item = m_Itemlist[i];
			int itemLength = item.length();
			int start = 0;
			int index = 0;
			index = text.indexOf(item, start);
			while (index != -1) {
				DetectResult rlt = new DetectResult();
				rlt.start = index;
				rlt.offset = itemLength;
				rlt.value = item;
				list.add(rlt);
				start = index + 1;
				index = text.indexOf(item, start);
			}

		}
        return list;
	}
	//end modified

}
