/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2003, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.C2A.view;

import java.io.IOException;

import org.eclipse.core.runtime.FileLocator;
import org.eclipse.core.runtime.Platform;
import org.eclipse.swt.widgets.Composite;
import org.osgi.framework.Bundle;

import com.ibm.productivity.tools.ui.views.DefaultRichDocumentView;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;


/**
 * This sample class demonstrates how to develop C2A applications based on Lotus Productivity Tools.
 * 
 * <p>The sample will open a document in a view, and enable the C2A functions for this document.
 * 
 * 
 */

public class C2AView extends DefaultRichDocumentView {
    
    /**
     *constructor 
     */
    public C2AView() {   
    	 super();
    }

    /*
     * Creates the SWT controls for this workbench part.
     * 
     * (non-Javadoc)
     * 
     * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
     */
    public void createPartControl(Composite parent)  {
//    	must call super to create part control
        super.createPartControl( parent );
        
        String fileName = getResolvedPath( "resource/c2asamples.odt" );
        executeOperation(OperationFactory.createLoadOperation(fileName, false));     
    }
    
    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
     */
    public void setFocus() {
    }
    	    
    /**
     * Resolves the external file path 
     * 
     * Parameters:
	 * 		file - the external file path
	 * Returns:
	 *		the resolved path 
     */
	private String getResolvedPath(String file){
		String resolvedPath = null;
        Bundle bundle = Platform.getBundle( "com.ibm.productivity.tools.samples.C2A" );
        if (bundle != null) {
            java.net.URL bundleURL = bundle.getEntry( "/" );
            if (bundleURL != null) {
                try {
                    resolvedPath = FileLocator.resolve( bundleURL ).getFile();
                } catch (IOException e) {
                	e.printStackTrace();
                }
            }
        }
        return resolvedPath+file;
	}
}