/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.customizing.view;

import org.eclipse.swt.widgets.Composite;

import com.ibm.productivity.tools.samples.customizing.StatusbarItem;
import com.ibm.productivity.tools.samples.customizing.util.CustomizingUtil;
import com.ibm.productivity.tools.ui.views.DefaultRichDocumentView;
import com.ibm.productivity.tools.ui.views.RichDocumentType;
import com.ibm.productivity.tools.ui.views.RichDocumentView;
import com.ibm.productivity.tools.ui.views.operations.NewOperation;
import com.ibm.productivity.tools.ui.views.operations.Operation;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;
import com.ibm.productivity.tools.ui.views.operations.OperationListener;
import com.sun.star.text.XText;
import com.sun.star.text.XTextDocument;
import com.sun.star.uno.UnoRuntime;

public class WriterView extends DefaultRichDocumentView {

	public static final String VIEW_ID = "com.ibm.productivity.tools.samples.customizing.writerview";

	final String HELLO = "\n\n\n\n\t  Hi! This is a typic sample on Lotus Expeditor developing environment!";

	private static boolean first = true;

	public void createPartControl(Composite parent) {
		// must call super to create part control
		super.createPartControl(parent);

		// add listener to udpate model
		addOperationListener(new OperationListener() {

			public void afterExecute(Operation operation, RichDocumentView view) {

				if (first) {
					Object model = ((NewOperation) operation).getUNOModel();	
					XTextDocument document = (XTextDocument) UnoRuntime
							.queryInterface(XTextDocument.class, model);
					XText mxDocText = document.getText();
					mxDocText.setString(HELLO);
					first = false;
				}
				StatusbarItem.setText("Document type");
			}

			public void beforeExecute(Operation operation, RichDocumentView view) {
			}
		});

		executeOperation(OperationFactory
				.createNewOperation(RichDocumentType.DOCUMENT_TYPE));

		CustomizingUtil.addListener();
	}

}
