/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7R6EE5                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2009  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

import com.ibm.productivity.tools.samples.views.WriterView;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;
import com.ibm.productivity.tools.ui.views.operations.SaveOperation;

/**
 * demo action to save the current document
 *
 */
public class SaveAction extends Action implements IWorkbenchAction {

	/**
	 * the workbench window
	 */
	private IWorkbenchWindow window;

	/**
	 * @param window the workbench window
	 */
	public SaveAction(IWorkbenchWindow window) {
		this.window = window;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.ui.actions.ActionFactory$IWorkbenchAction#dispose()
	 */
	public void dispose() {

	}

	public void run() {
		//get the demo view
		WriterView view = (WriterView) window.getActivePage().findView(
				WriterView.VIEW_ID);
		
		//execute the save operation
		view.executeOperation(OperationFactory.createSaveOperation(false));	

	}

}
